package com.dragon.tj.portal.auth.controller;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.dragon.tj.portal.auth.model.LoginUser;
import com.dragon.tj.portal.auth.util.SecurityUtils;
import com.dragon.tj.portal.auth.web.entity.SysUser;
import com.dragon.tj.portal.auth.web.service.SysUserService;
import com.dragon.tj.portal.common.base.R;
import com.dragon.tj.portal.entity.PageParam;
import com.dragonsoft.encrypt.EncryptFactory;
import com.dragonsoft.encrypt.EncryptHandler;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpServletRequest;
import java.util.HashMap;
import java.util.Map;

@RestController
@RequestMapping("/user")
public class UserController {

    @Autowired
    private SysUserService sysUserService;

    @GetMapping("/info")
    public R<Map<String, Object>> info(HttpServletRequest request) {
        LoginUser loginUser = SecurityUtils.getLoginUser();
        Map<String, Object> data = new HashMap<>(3);
        data.put("name", loginUser.getUsername());
        data.put("deptCode", loginUser.getOrgCode());
        data.put("deptName", loginUser.getUser().getOrgName());
        data.put("idCard", loginUser.getIdCard());
        EncryptHandler encryptHandler = EncryptFactory.getInstance();
        data.put("encryptIdCard", encryptHandler.encapsulateString(loginUser.getIdCard()));
        data.put("roles", loginUser.getPermissions());
        return R.ok(data);
    }

    @PostMapping("/list")
    public R<Page<SysUser>> list(@RequestBody PageParam<SysUser> pageParam) {
        return R.ok(sysUserService.list(pageParam));
    }
}
