package com.dragon.tj.portal.common.dto.notice;


import lombok.Getter;
import lombok.Setter;
import org.hibernate.validator.constraints.Range;

import javax.validation.constraints.NotNull;
import java.util.Set;

/**
 * @author huey China.
 * @Description :
 * @Date Created in 2023/6/15 15:59
 */
@Getter
@Setter
public class NoticeInfoReq {


    /**
    *范围id 为appCode
    */
    private String scopeId;

    @Range(min = 4, max = 6, message = "请填入4~6,4 任务类 5 通知类 6 超期提醒类")
    private Integer messageType;


    /**
     *消息级别
     */
    private Integer messageLevel = 0;

    /**
     * 信息标题
     */
    private String title;

    /**
     * 信息内容
     */
    private String content;

    /**
     * 附件地址
     */
    private String attachmentPath;

    @NotNull(message = "毫秒时间戳 不能为空")
    private Long t;

    /**
    *
    *推送人的信息
    */
    private String clientId;

    private String clientOrgCode;

    private String clientOrgName;

    /**
     * md5 （登录人标识+t）
     */
//    @NotBlank(message = "调用者身份验证标识 不能为空")
    private String k;


}
