package com.dragon.tj.portal.common.enums.log;

import com.google.common.collect.Maps;
import lombok.Getter;
import org.apache.commons.compress.utils.Lists;

import java.util.List;
import java.util.Map;

/**
 * @author huey China.
 * @Description : 消息读状态
 * @Date Created in 2023/6/28 15:48
 */
@Getter
public enum ModuleEnum {

    NOTICE_UPDATE("1", "消息修改"),
    MESSAGE_UPDATE("2", "消息修改"),

    APP_ADD("3001", "应用添加"),
    APP_UPDATE("3002", "应用修改"),
    APP_DELETE("3003", "应用删除"),
    APP_QUERY("3004", "应用查询"),
    APP_COLLECTION("3005", "应用收藏"),

    BUSINESS_ADD("4001", "业务添加"),
    BUSINESS_UPDATE("4002", "业务修改"),
    BUSINESS_DELETE("4003", "业务删除"),
    BUSINESS_QUERY("4004", "业务查询"),
    BUSINESS_COLLECTION("4005", "业务收藏"),

    FILE_UPLOAD("5001", "文件上传"),
    FILE_QUERY("5002", "文件查询"),
    FILE_DELETE("5003", "文件删除"),

    ISSUE_ADD("6001", "问题添加"),
    ISSUE_DELETE("6002", "问题删除"),
    ISSUE_UPDATE("6003", "问题添加"),
    ISSUE_QUERY("6004", "问题查询"),
    ;

    private final String code;
    private final String desc;

    ModuleEnum(String code, String desc) {
        this.code = code;
        this.desc = desc;
    }

    public static Map<String, String> getMap() {
        Map<String, String> map = Maps.newHashMap();
        for (ModuleEnum module : values()) {
            map.put(module.getCode(), module.getDesc());
        }
        return map;
    }

    public static List<Map<String, String>> getMaps() {
        List<Map<String, String>> list = Lists.newArrayList();
        for (ModuleEnum module : values()) {
            Map<String, String> map = Maps.newHashMap();
            map.put("key", module.getCode());
            map.put("value", module.getDesc());
            list.add(map);
        }
        return list;
    }


}
