package com.dragon.tj.portal.component.interceptor;

import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.dragon.tj.portal.entity.SysDictItem;
import com.dragon.tj.portal.service.FileManageService;
import com.dragon.tj.portal.service.SysDictItemService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;
import org.springframework.web.servlet.HandlerInterceptor;
import org.springframework.web.servlet.ModelAndView;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.util.List;
import java.util.stream.Collectors;

@Component
public class FileInterceptor implements HandlerInterceptor {

    @Autowired
    FileManageService fileManageService;

    @Autowired
    private SysDictItemService sysDictItemService;

    @Override
    public boolean preHandle(HttpServletRequest request, HttpServletResponse response, Object handler) throws Exception {

        String requestURI = request.getRequestURI();
        String ip = request.getRemoteAddr();
        List<Integer> softwareIdList = sysDictItemService.list(Wrappers.<SysDictItem>query().lambda().eq(SysDictItem::getType, "software_type"))
                .stream().map(s -> s.getId()).collect(Collectors.toList());
        String[] split = requestURI.split("/");
        if (split.length > 2 && softwareIdList.contains(Integer.parseInt(split[2]))) {
            //写入日志
            fileManageService.fileLog(requestURI, ip);
        }

        return true;
    }

    @Override
    public void postHandle(HttpServletRequest request, HttpServletResponse response, Object handler, ModelAndView modelAndView) throws Exception {

    }

    @Override
    public void afterCompletion(HttpServletRequest request, HttpServletResponse response, Object handler, Exception ex) throws Exception {

    }
}
