package com.dragon.tj.portal.entity;

import com.alibaba.fastjson.annotation.JSONField;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Getter;
import lombok.Setter;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * 应用信息
 */
@Getter
@Setter
@Accessors(chain = true)
@TableName("app_info")
public class AppInfo implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
         * 应用类型（1市局系统，2区县系统，3派出所常用系统，4办公综合系统，5专项工具）
     */
    private Integer appType;

    @TableField(exist = false)
    @JSONField(name = "typeName")
    private String typeName;

    /**
     * 应用系统名称
     */
    private String systemName;

    /**
     * 应用系统编号
     */
    private String systemNumber;

    /**
     * 应用简称
     */
    private String shortName;

    /**
     * 应用事权单位名称
     */
    private String deptName;

    /**
     * 应用系统访问地址
     */
    private String url;



    /**
     * 系统在用标识（1在用）
     */
    private Integer activeFlag;

    @TableField(exist = false)
    @JSONField(name = "activeName")
    private String activeName;

    /**
     * 图标path
     */
    private String icon;

    @TableField(exist = false)
    @JSONField(name = "image")
    private byte[] image;

    /**
     * 警种分类
     */
    private String policeCategory;


    /**
     * 创建时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private LocalDateTime createTime;

    private String createUser;

    /**
     * 更新时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private LocalDateTime updateTime;

    /**
     * 删除状态 默认0 有效 1无效
     */
    private Integer delFlag;

    /**
     * 版本号
     */
    private String version;

    /**
     * 收藏数量
     */
    private Long star;

    /**
     * 点击量
     */
    private Long hits;

    /*
     * 排序
     */
    @TableField(exist = false)
    private int seq;

    /*
     * 0: 非专项
     * 1: 专项
     * null: 所有任意
     * */
    @TableField(exist = false)
    private Integer isSpecial;
}
