package com.dragon.tj.portal.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.dragon.tj.portal.auth.model.LoginUser;
import com.dragon.tj.portal.common.base.R;
import com.dragon.tj.portal.entity.AppInfo;
import com.dragon.tj.portal.entity.PageParam;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;
import java.util.Map;


public interface AppService {
    /*
    * CRUD
    * */
    int add(AppInfo appInfo, LoginUser loginUser);

    int delete(Long id);

    int update(AppInfo appInfo);

    AppInfo detail(Long id);


    /*
    * 获取类型
    * */
    R getType();


    /*
     * 分页搜索
     * */
    Page<AppInfo> search(PageParam<AppInfo> appInfoPage);



    /*
    *  安装应用程序
    * */
    int install(Integer appId,String userIdcard);


    int uninstall(Integer appId, String idCard);


    /*
    * 查询已安装应用
    * */
    IPage<AppInfo> installApp(PageParam<AppInfo> appInfoPage, LoginUser loginUser);

    void updateAppStat();

    int clickIncr(Long id);

    boolean batchAdd(MultipartFile file);

    Map<String, List<Long>> checkAppTypeById(List<Long> appIds);
}
