package com.dragon.tj.portal.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.dragon.tj.portal.auth.model.LoginUser;
import com.dragon.tj.portal.common.base.R;
import com.dragon.tj.portal.common.dto.message.MessageInfoReq;
import com.dragon.tj.portal.common.vo.message.*;
import com.dragon.tj.portal.entity.MessageInfo;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * <p>
 * 信息表 服务类
 * </p>
 *
 * @author huey
 * @since 2023-06-15
 */
public interface MessageInfoService extends IService<MessageInfo> {

    R push(MessageInfoReq messag, LoginUser loginUser);

    MessageInfoVO detail(Long id);

    boolean update(MessageInfoParam messageInfoParam);

    boolean read(Long id);

    boolean reads(List<Long> ids);

    IPage queryPage(Page page, MessagePageParam req);

    MsgCountVO getCount();

    List<ContactMemberVO> getContactsMemberList(Integer limit);

}
