package com.dragon.tj.portal.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.metadata.OrderItem;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.dragon.tj.portal.entity.ExternalApp;
import com.dragon.tj.portal.entity.PageParam;
import com.dragon.tj.portal.mapper.ExternalAppMapper;
import com.dragon.tj.portal.service.ExternalAppService;
import org.apache.commons.lang3.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class ExternalAppServiceImpl implements ExternalAppService {

    @Autowired
    private ExternalAppMapper externalAppMapper;

    @Override
    public int add(ExternalApp externalApp) {

        return externalAppMapper.insert(externalApp);
    }

    @Override
    public int delete(Long id) {

        return externalAppMapper.deleteById(id);
    }

    @Override
    public int update(ExternalApp externalApp) {

        return externalAppMapper.updateById(externalApp);
    }

    @Override
    public ExternalApp detail(Long id) {

        return externalAppMapper.selectById(id);
    }

    @Override
    public IPage<ExternalApp> search(PageParam<ExternalApp> appInfoPage) {
        ExternalApp params = appInfoPage.getParams();

        LambdaQueryWrapper<ExternalApp> wrapper = Wrappers.lambdaQuery(ExternalApp.class)
                .like(StringUtils.isNotEmpty(params.getDesignation()), ExternalApp::getDesignation, params.getDesignation())
                .like(StringUtils.isNotEmpty(params.getUrl()), ExternalApp::getUrl, params.getUrl());

        Page<ExternalApp> rowPage = new Page(appInfoPage.getPage(), appInfoPage.getSize());
        rowPage.addOrder(OrderItem.desc(appInfoPage.getOrder()));

        return externalAppMapper.selectPage(rowPage,wrapper);
    }
}
