package com.dragon.tj.portal.service.impl;

import cn.hutool.core.collection.CollUtil;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.dragon.tj.portal.common.constants.BusinessConstants;
import com.dragon.tj.portal.entity.SysUserMenu;
import com.dragon.tj.portal.mapper.SysUserMenuMapper;
import com.dragon.tj.portal.service.SysUserMenuService;
import com.google.common.collect.Sets;
import org.apache.commons.lang3.StringUtils;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Set;
import java.util.stream.Collectors;

/**
 * <p>
 * 用户信息表 服务实现类
 * </p>
 *
 * @author huey
 * @since 2023-07-30
 */
@Service
public class SysUserMenuServiceImpl extends ServiceImpl<SysUserMenuMapper, SysUserMenu> implements SysUserMenuService {


    @Override
    public Set<String> findUsersByAppId(String sysCode) {
        LambdaQueryWrapper<SysUserMenu> wrapper = Wrappers.lambdaQuery();
        wrapper.eq(SysUserMenu::getMenuCode, BusinessConstants.MENU_APP_PRE + sysCode);
        List<SysUserMenu> list = this.list(wrapper);
        if (CollUtil.isNotEmpty(list)) {
            Set<String> idCardSet = list.stream().filter(e -> StringUtils.isNotEmpty(e.getIdcard())).map(SysUserMenu::getIdcard).collect(Collectors.toSet());
            if (CollUtil.isNotEmpty(idCardSet)) {
                return idCardSet;
            }
        }
        return Sets.newHashSet();
    }
}
